.TH "alatZaAnalitiku/src/graphs.cpp" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
alatZaAnalitiku/src/graphs.cpp
.SH SYNOPSIS
.br
.PP
\fR#include 'graphs\&.h'\fP
.br
\fR#include <iostream>\fP
.br
\fR#include <algorithm>\fP
.br
\fR#include <random>\fP
.br
\fR#include 'utils\&.h'\fP
.br
\fR#include <unordered_map>\fP
.br
\fR#include <memory>\fP
.br
\fR#include <QPropertyAnimation>\fP
.br
\fR#include <QPalette>\fP
.br
\fR#include <QApplication>\fP
.br
\fR#include <QtCharts/QLegend>\fP
.br
\fR#include <QtCharts/QLegendMarker>\fP
.br
\fR#include <QtCharts/QChartView>\fP
.br
\fR#include <QtCharts/QPieSeries>\fP
.br
\fR#include <QtCharts/QPieSlice>\fP
.br
\fR#include <QRandomGenerator>\fP
.br

.SS "Classes"

.in +1c
.ti -1c
.RI "struct \fBDataPoint\fP"
.br
.in -1c
.SS "Macros"

.in +1c
.ti -1c
.RI "#define \fBPEN_WIDTH\fP   1\&.75"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "bool \fBcompareDataPoints\fP (const \fBDataPoint\fP &dp1, const \fBDataPoint\fP &dp2)"
.br
.ti -1c
.RI "QVector< double > \fBreturnStat\fP (\fBDataFrame\fP &df, QString &xAxis, QString &col, QString &stat)"
.br
.in -1c
.SH "Macro Definition Documentation"
.PP 
.SS "#define PEN_WIDTH   1\&.75"

.SH "Function Documentation"
.PP 
.SS "bool compareDataPoints (const \fBDataPoint\fP & dp1, const \fBDataPoint\fP & dp2)"

.SS "QVector< double > returnStat (\fBDataFrame\fP & df, QString & xAxis, QString & col, QString & stat)"

.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
